#hd-game-wrap {
  visibility: hidden;
}
/* Top section */
#hd-game-wrap {
  background: url(../images/bg.png?v=5) center bottom 85px no-repeat; /* DT */
  background-size: cover;
  height: 100vh;
  width: 100vw;
}

.hd-easter-inner {
  background: url(../images/bg-up.png?v=5) center bottom 85px no-repeat; /* DT */
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.hd-easter-inner.winner-inner {
  background: none;
}

#hd-game-wrap.winner {
  background: url(../images/bg-winner.png?v=5) center bottom 85px no-repeat; /* DT */
  background-size: cover;
}

#hd-game-wrap.winner .chars-wrap {
  display: none;
}

.hd-masthead-ttl .winner-ttl {
  font-size: 50px;
  font-weight: bold;
  margin-top: 5vh;
  line-height: 1.2em;
}

.winner-teaser,
.winner-teaser img,
.winner-teaser a {
  text-align: center;
  margin: auto;
}

.winner-teaser img,
.winner-teaser a {
  display: block;
}

.winner-teaser img {
  margin: 25px auto 15px auto;
  position: relative;
  left: 15px;
}

.winner-teaser a {
  color: black;
  text-decoration: none;
  font-size: 36px;
  font-weight: 500;
}
.winner-teaser a span {
  text-decoration: underline;
}

@media screen and (max-width: 768px) {

  .hd-masthead-ttl .winner-ttl {
    font-size: 30px;
    margin-top: 2vh;
  }

  .winner-teaser a {
    font-size: 24px;
/*    background: rgba(0, 0, 0, 0.5); QA - Eldad */
  }
}


.hd-stars-wrap {
  display: flex;
  justify-content: flex-end;
  cursor: default;
  pointer-events: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.hd-stars-wrap .hd-star {
  width: 40px;
  height: 41px;
  color: gold;
  background: url(../images/spring-star.png?v=5) 2px center no-repeat;
  background-size: cover;
  transition: all 0.2s linear;
}
.hd-stars-wrap .hd-star-on {
  display: block;
  background: url(../images/spring-star.png?v=5) right center no-repeat;
}
.hd-logo-wrap,
.hd-info-area {
  position: relative;
  z-index: 50;
}
.hdc-ga-translator-wrap select {
}
#hdc-ga-translator select {
  font-size: 16px;
  height: 40px;
  font-weight: bold;
  cursor: pointer;
}

/* Masthead */
.hd-masthead-wrap {
  position: relative;
  z-index: 0;
  top: -20px;
}
.hd-masthead-cnt {
  position: relative;
  top: -10px;
}
h1.hd-masthead-ttl,
h2.hd-masthead-teaser {
  font-family: "Open Sans", sans-serif;
  color: #081D39;
}
h1.hd-masthead-ttl {
  font-weight: 600;
  font-size: 2.325em;
  line-height: 1.25em;
  margin: 0.25em auto 0 auto;
}
h2.hd-masthead-teaser {
  font-weight: 400;
  font-size: 1.725em;
  margin: 0 auto;
  margin-left: -10px;
}

.hd-masthead-img {
  padding: 0 20%;
}


@media screen and (min-width: 1024px) and (max-width: 1700px) {
  .hd-stars-wrap .hd-star {
    width: 35px;
    height: 30px;
  }
}

@media screen and (max-width: 1700px) {
  h1.hd-masthead-ttl {
    font-size: 1.75em;
  }
  h2.hd-masthead-teaser {
    font-size: 1.35em;
  }

  #hdc-ga-translator select {
    height: 32px;
  }
}

@media screen and (max-width: 1500px) {
  h1.hd-masthead-ttl {
    font-size: 1.75em;
  }
  h2.hd-masthead-teaser {
    font-size: 1.275em;
  }
}

@media screen and (min-width: 1000px) and (max-width: 1100px) {
  #hd-game-wrap {
    background: url(../images/bg.png?v=5) center bottom 100px no-repeat;
    background-size: cover;
  }
}

@media screen and (max-width: 1000px) {
  #hd-game-wrap {
    background: url(../images/bg-mob.png?v=5) center bottom 70px no-repeat;
    background-size: cover;
    height: 98vh;
  }

  .hd-easter-inner {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url(../images/bg-up-mob.png?v=5) center bottom 70px no-repeat; /* MOB */
    background-size: contain;
    z-index: 1;
  }

  #hd-game-wrap.winner {
    background: url(../images/bg-mob-winner.jpg?v=5) center bottom 75px no-repeat;
    background-size: cover;
  }

}


.chars-wrap, /* Characters */
.foo-bg-wrap /* Footer bgs */ {
  position: fixed;
  z-index: 1;
  bottom: 80px;
  left: 0;
  right: 0;
}

.foo-bg-wrap /* Footer bgs */ {
  bottom: 80px;
}

.chars-wrap {
  bottom: 50px;
  z-index: 5;
}

.chars-wrap.albert-egg {
  z-index: 0;
}

/* Foo logos */
.hd-easter-foo {
  position: fixed;
  z-index: 200;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  background: white;
}
.hd-easter-foo-logos-wrap {
  padding: 0 10px 5px 10px;
  text-align: center;
  margin: auto;
  display: flex;
  justify-content: space-evenly;
  align-items: flex-end;
}
.hd-easter-foo-logos-wrap .hd-easter-foo-logo img {
  max-width: 70%;
}

.hd-easter-foo-logos-wrap .hd-easter-foo-logo.foo-logo-math img {
  position: relative;
  top: -7px;
}

@media screen and (min-width: 960px) {

  .hd-masthead-img {
    margin-top: -20px;
  }

  
  .hd-masthead-img img {
    max-width: 375px;
  }

  .hd-easter-foo-logos-wraper {
    max-width: 1600px;
  }
  .hd-easter-foo-logos-wrap {
    padding: 0 0 20px 0;
  }
  .hd-logo-wrap img {
    max-width: 150px;
  }
  .hd-easter-foo-logos-wrap .hd-easter-foo-logo img {
    width: 110px;
    max-width: 110px;
  }
  .hd-info-area {
    margin-left: 15px;
  }

  .nrm-ppop-ttl-wrap {
    margin: 110px 12% 0 12%;
  }
}

/* Winner */

.winner-rainbow-wrap.active {
  display: contents;
}

.winner-rainbow-wrap {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: 100vh;
  display: none;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  z-index: 1;
}

.winner-rainbow-wrap img {
  width: 100%;
  height: 100%;
  object-fit: cover;
/*  clip-path: inset(0 100% 0 0); */
  clip-path: inset(0 0 0 100%);
  animation: winnerStars 1s ease-out forwards;
  mix-blend-mode: screen;
  position: absolute;
  top: 0;
  left: 0;
}

@media screen and (max-width: 768px) {
  .winner-rainbow-wrap img {
    height: 50%;
    top: 50px;
  }
}

@media screen and (min-width: 960px) {
  .winner-teaser a span {
    display: block;    
    margin-top: -20px;
  }
}

/* Keyframe animation to "reveal" the image by expanding the mask */
@keyframes winnerStars {
  0% {
/*    clip-path: inset(0 100% 0 0); /* Start fully hidden */
    clip-path: inset(0 0 0 100%); /* Start fully hidden */
  }
  100% {
    clip-path: inset(0 0 0 0); /* Reveal entire image */
  }
}

.winning-blinking-1 {
  mix-blend-mode: screen;
  animation: blinkingWinnerStar 3.52s infinite;
}


.winning-blinking-2 {
  mix-blend-mode: screen;
  animation: blinkingWinnerStar 1.41s infinite;
}

.winning-blinking-3 {
  mix-blend-mode: screen;
  animation: blinkingWinnerStar 2.73s infinite;
}


@keyframes blinkingWinnerStar {
  0% {  opacity: 2; }
  50% {  opacity: -2; }
  100% {  opacity: 2; }
}
